#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QtGui>
#include <QMediaPlayer>
#include <QMediaPlaylist>
#include <QVideoWidget>

#ifdef Q_WS_MAEMO_5
QTM_USE_NAMESPACE
#endif

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    MainWindow(QWidget *parent = 0);
    ~MainWindow();

private slots:
    void log (const QString &strText, int level = 10);
    void btnClicked ();

private:
    QLineEdit      *txtPath;
    QPushButton    *btnPath;
    QPlainTextEdit *txtLogs;
    QPushButton    *btnDoIt;
    QGridLayout    *grid;

    QMediaPlayer   *player;
    QMediaPlaylist *playlist;
    QVideoWidget   *widget;

    QFileDialog     fdlg;
};

#endif // MAINWINDOW_H
